bitel.billing.server.call.bean

## Class Session

- java.lang.Object
- - bitel.billing.server.call.bean.Session

- All Implemented Interfaces:
    AccountingSession
  Direct Known Subclasses:
    DialUpSession, VoiceIpSession

      public class Session
      extends java.lang.Object
      implements AccountingSession

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Contract` | `contract`
    `protected java.lang.String` | `fromNumber`
    `protected org.apache.log4j.Logger` | `logger`
    `protected Login` | `login`
    `protected java.lang.String` | `loginName`
    `protected int` | `logRecordId`
    `protected java.lang.String` | `logSessionTableName`
    `protected int` | `mid`
    `protected int` | `requestLogRecordId`
    `protected java.util.Calendar` | `startTime`
    `protected java.lang.String` | `toNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Session()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLogDebug(java.lang.String message)`
    `void` | `addLogError(java.lang.String message)`
    `void` | `addLogInfo(java.lang.String message)`
    `void` | `checkAndCreateTables(java.sql.Connection con, DefaultServerSetup setup)` Передаем сюда setup, т.к это метод вызывается как из радиуса так и из сервера (переобсчет сессий )
    `Contract` | `getContract()`
    `java.lang.String` | `getFromNumber()`
    `Login` | `getLogin()`
    `java.lang.String` | `getLoginName()`
    `java.lang.String` | `getLogMessage(java.lang.String message)`
    `int` | `getLogRecordId()`
    `int` | `getMid()`
    `int` | `getNasId()`
    `int` | `getNasID()` Deprecated.
    `int` | `getRequestLogRecordId()`
    `java.util.Set<java.lang.Integer>` | `getServices()`
    `java.util.Calendar` | `getStartTime()`
    `java.lang.String` | `getToNumber()`
    `java.lang.String` | `getUserName()`
    `void` | `setContract(Contract contract)`
    `void` | `setFromNumber(java.lang.String fromNumber)`
    `void` | `setLogin(Login login)`
    `void` | `setLoginName(java.lang.String loginName)`
    `void` | `setLogRecordId(int logRecordId)`
    `void` | `setMid(int mid)`
    `void` | `setNasId(int nasId)`
    `void` | `setNasID(int nasId)` Deprecated.
    `void` | `setRequestLogRecordId(int requestLogRecordId)`
    `void` | `setStartTime(java.util.Calendar startTime)`
    `void` | `setToNumber(java.lang.String toNumber)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### loginName

          protected java.lang.String loginName

    - #### logRecordId

          protected int logRecordId

    - #### requestLogRecordId

          protected int requestLogRecordId

    - #### startTime

          protected java.util.Calendar startTime

    - #### mid

          protected int mid

    - #### fromNumber

          protected java.lang.String fromNumber

    - #### toNumber

          protected java.lang.String toNumber

    - #### login

          protected Login login

    - #### contract

          protected Contract contract

    - #### logSessionTableName

          protected java.lang.String logSessionTableName

    - #### logger

          protected org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### Session

          public Session()

  - ### Method Detail

    - #### getStartTime

          public java.util.Calendar getStartTime()

    - #### setStartTime

          public void setStartTime(java.util.Calendar startTime)

    - #### getMid

          public int getMid()

    - #### setMid

          public void setMid(int mid)

    - #### getFromNumber

          public java.lang.String getFromNumber()

    - #### setFromNumber

          public void setFromNumber(java.lang.String fromNumber)

    - #### getToNumber

          public java.lang.String getToNumber()

    - #### setToNumber

          public void setToNumber(java.lang.String toNumber)

    - #### getLogin

          public Login getLogin()

    - #### setLogin

          public void setLogin(Login login)

    - #### getContract

          public Contract getContract()

    - #### setContract

          public void setContract(Contract contract)

    - #### getLogRecordId

          public int getLogRecordId()

    - #### setLogRecordId

          public void setLogRecordId(int logRecordId)

    - #### getNasId

          public int getNasId()

    - #### getNasID

          @Deprecated
          public int getNasID()

      Deprecated.
      Использовать `getNasId()`.
      Returns:

    - #### setNasId

          public void setNasId(int nasId)

    - #### setNasID

          @Deprecated
          public void setNasID(int nasId)

      Deprecated.
      Использовать `setNasId(int)`.
      Parameters:
        `nasId` -

    - #### checkAndCreateTables

          public void checkAndCreateTables(java.sql.Connection con,
                                           DefaultServerSetup setup)

      Передаем сюда setup, т.к это метод вызывается как из радиуса так и из сервера (переобсчет сессий )
      Parameters:
        `con` -

    - #### getRequestLogRecordId

          public int getRequestLogRecordId()

    - #### setRequestLogRecordId

          public void setRequestLogRecordId(int requestLogRecordId)

    - #### getLoginName

          public java.lang.String getLoginName()

    - #### getUserName

          public java.lang.String getUserName()

      Specified by:
        `getUserName` in interface `AccountingSession`

    - #### setLoginName

          public void setLoginName(java.lang.String loginName)

    - #### addLogDebug

          public void addLogDebug(java.lang.String message)

    - #### addLogInfo

          public void addLogInfo(java.lang.String message)

    - #### addLogError

          public void addLogError(java.lang.String message)

    - #### getLogMessage

          public java.lang.String getLogMessage(java.lang.String message)

    - #### getServices

          public java.util.Set<java.lang.Integer> getServices()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`